BW_MMAP_RD(8)

NAME
bw_mmap_rd - time the reading and summing of a file

SYNOPSIS
bw_mmap_rd [ -P <parallelism> ] [ -W <warmups> ] [ -N <repetitions> ] size file

DESCRIPTION
bw_mmap_rd creates a memory mapping to the file and then reads the mapping in an unrolled loop similar to that used in bw_mem_rd(8). The benchmark is intended to be used on a file that is in memory, i.e., the benchmark is a reread benchmark. Other file benchmarking can be done with lmdd(8).

The size specification may end with ``k'' or ``m'' to mean kilobytes (* 1024) or megabytes (* 1024 * 1024).

OUTPUT
Output format is "%0.2f %.2f\n", megabytes, megabytes_per_second, i.e.,

8.00 25.33

MEMORY UTILIZATION
This benchmark should move approximately the reported amount of memory.

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8).

AUTHOR
Carl Staelin and Larry McVoy

Comments, suggestions, and bug reports are always welcome.